# Organization API: Customer Portal: Rescue

> The 3 Organization API operations for rescue.

Source: https://docs.coritan.com/api/reference/organizations/customer-portal/vps-rescue/

Part of [Customer Portal](/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/enter`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-rescue-enter) | Rescue enter |
| POST | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/exit`](#op-post-api-v1-orgs-org-slug-portal-vps-uuid-rescue-exit) | Rescue exit |
| GET | [`/api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/media`](#op-get-api-v1-orgs-org-slug-portal-vps-uuid-rescue-media) | Rescue media |

### Rescue enter {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-rescue-enter}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/enter`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Request body

`application/json`

| Field | Type | Required |
| --- | --- | --- |
| `iso_volid` | string or null | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Rescue exit {#op-post-api-v1-orgs-org-slug-portal-vps-uuid-rescue-exit}

`POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/exit`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Rescue media {#op-get-api-v1-orgs-org-slug-portal-vps-uuid-rescue-media}

`GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/rescue/media`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `uuid` | path | string | yes |
| `org_slug` | path | string | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
